net.dontdrinkandroot.lastfm.api.model

## Class Group

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Group

    public class Group
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Group(String name)`

### Method Summary

Methods
`static UnauthenticatedGetQuery<GenericPaginatedResult<List<User>>>` `getMembers(String group, Integer limit, Integer page)` Get a list of members for this group.
`String` `getName()`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Group

    public Group(String name)

### Method Detail

#### getName

    public final String getName()

#### setName

    public final void setName(String name)

#### getMembers

    public static UnauthenticatedGetQuery<GenericPaginatedResult<List<User>>> getMembers(String group,
                                                                         Integer limit,
                                                                         Integer page)

Get a list of members for this group.

Parameters:
  `group` - The group name to fetch the members of. (Required).
  `limit` - The number of results to fetch per page (Optional). Defaults to 50.
  `page` - The page number to fetch. (Optional).
Returns: